Bug 25164 - Obscure error message when trying to make big root partition.
Obscure error message when trying to make big root partition.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-28 20:02 EST by Stephen Rasku
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-19 19:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Rasku 2001-01-28 20:02:30 EST
I was using the GUI install to try and install beta-2 on a 1.2 G hard
I wanted to make a root partition of 1.1 G and a swap partition of 100 M.  
However, I can't make a partition bigger than 504 M.  It fails with the
message "Couldn't fit boot partition".

However,  if I make a 10 M /boot partition first I can make a big root
partition after that.  I assume that this is some 1024 cylinder limit for
the /boot partition.  It would be nice if there was a button on the error
dialog box, "About this error", which would display something like:

	You have attempted to make a partition larger than the 1024 cylinder limit
for the
	/boot partition.  It is recommended that you make a small /boot partition
	making the rest of your partitions.

Or something like that.
Comment 1 Michael Fulbright 2001-01-29 19:38:33 EST
Probably will address before GOLD release.

Note You need to log in before you can comment on or make changes to this bug.